<template>
    <div class="card">
        <div class="card-img">
            <img :src="img" alt="商品图" class="img-wrap">
        </div>
        <div class="card-content">
            <div class="content-top">
                <div class="card-title">
                    {{title}}
                </div>
                <div class="card-num">
                    x{{num}}
                </div>
            </div>
            <div class="content-bottom">
                <div class="card-price">
                    <span class="price">
                        {{price}}积分
                    </span>
                    <del class="origin-price" v-show="originPrice">
                        {{originPrice}}积分
                    </del>
                </div>
                <div class="card-status" v-show="statusText">
                    {{statusText}}
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    name: "Cards",
    props:{
        img:String,
        title:String,
        num:[Number,String],
        price:[Number,String],
        statusText:{
            type:String,
            default:null
        },
        originPrice:{
            type:[Number,String],
            default:null
        }
    },
    data(){
        return{
            
        }
    }
};
</script>

<style scope lang="less">
    .card{
        display: flex;
        padding:0.13rem 0 0.1rem 0;
        .card-img{
            width: 0.85rem;
            height: 0.84rem;
            padding: 0.095rem 0.09rem 0.115rem 0.11rem;
            background-color: rgba(243,243,243,1);
            .img-wrap{
                object-fit: cover;
                display: block;
                width: 100%;
                height: 100%;
            }
        }
        .card-content{
            display: flex;
            flex-direction: column;
            flex-grow: 1;
            justify-content: space-between;
            padding: 0 0.04rem 0 0.1rem;
            .content-top{
                font-size: 14px;
                font-weight: 500;
                display: flex;
                .card-title{
                    width: 1.835rem;
                    text-align: left;
                    line-height: 18px;
                }
                .card-num{
                    text-align: right;
                    flex-grow: 1;
                }
            }
            .content-bottom{
                font-size: 0.13rem;
                font-weight: 500;
                display: flex;
                justify-content: space-between;
                .card-status{
                    margin-right: 0.085rem;
                    color: #333;
                    text-align: right;
                    font-weight: bolder;
                }
            }
        }
    }
</style>
